package com.jeeplus.test.reimbursementProject.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jeeplus.test.reimbursementProject.domain.dto.ProjectReimbursementBusinessTwoDTO;
import com.jeeplus.test.reimbursementProject.domain.dto.ProjectReimbursementDTO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;


@Mapper
public interface ProjectReimbursementBusinessTwoMapper extends BaseMapper<ProjectReimbursementBusinessTwoDTO> {

    /**
     * 分页查询
     */
    IPage<ProjectReimbursementBusinessTwoDTO> findListPage(Page<ProjectReimbursementBusinessTwoDTO> page,
                                                              @Param("projectReimbursementBusiness")ProjectReimbursementBusinessTwoDTO ProjectReimbursementBusiness);

    /**
     * 物理删除
     * @param id
     */
    void delPhysicsById(@Param("id")String id);
    /**
     * 物理删除
     * @param idList
     */
    void deleteByList(@Param("idList")List <String> idList);

    /**
     * 新增
     */
    void insertProjectReimbursementBusiness(ProjectReimbursementBusinessTwoDTO ProjectReimbursementBusiness);

    /**
     * 修改
     */
    void modifyBindCode(@Param("ids")String ids,@Param("businessCode")String businessCode);

    /**
     * 下拉菜单
     */
    List<ProjectReimbursementDTO> findSelectList();


    List<String> findSelectYearList();

    List<ProjectReimbursementDTO> findSelectCodeListByYear(String year);

    ProjectReimbursementBusinessTwoDTO findDataById(@Param("id")String id);
}
